Bug#582071: python-xpcom: ImportError during installation of Python-xpcom and Xulrunner

maxim lacrima.maxim at gmail.com
Tue May 18 06:11:14 UTC 2010

Package: python-xpcom
Severity: normal

I tried to install pyjamas-desktop pacjage, which depends on python-xpcom:

root at debian:~# apt-get install pyjamas-desktop
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
 pyjamas-ui python-hulahop python-xpcom
Suggested packages:
The following NEW packages will be installed:
 pyjamas-desktop pyjamas-ui python-hulahop python-xpcom
0 upgraded, 4 newly installed, 0 to remove and 24 not upgraded.
Need to get 0B/530kB of archives.
After this operation, 2,130kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Selecting previously deselected package python-xpcom.
(Reading database ... 132573 files and directories currently
Unpacking python-xpcom (from .../python-xpcom_1.9.1.9-7_i386.deb) ...
Selecting previously deselected package python-hulahop.
Unpacking python-hulahop (from .../python-
hulahop_0.6.0-2+b1_i386.deb) ...
Selecting previously deselected package pyjamas-desktop.
Unpacking pyjamas-desktop (from .../pyjamas-desktop_0.7~
+pre2-3_all.deb) ...
Selecting previously deselected package pyjamas-ui.
Unpacking pyjamas-ui (from .../pyjamas-ui_0.7~+pre2-3_all.deb) ...
Processing triggers for xulrunner-1.9.1 ...
Obtaining the module object from Python failed.

<type 'exceptions.ImportError'>: No module named xpcom.server
Obtaining the module object from Python failed.

<type 'exceptions.ImportError'>: No module named xpcom.server
Setting up python-xpcom ( ...
Setting up python-hulahop (0.6.0-2+b1) ...
Setting up pyjamas-desktop (0.7~+pre2-3) ...
Setting up pyjamas-ui (0.7~+pre2-3) ...
Processing triggers for python-support ...

There was a bug report http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=576108
It's marrked as fixed, but it seems it is not fixed since I have similar symptoms.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-xpcom depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libnspr4-0d                   4.8.4-1    NetScape Portable Runtime Library
ii  libstdc++6                    4.4.4-1    The GNU Standard C++ Library v3
ii  python                        2.5.4-9    An interactive high-level object-o
ii  python-support                1.0.8      automated rebuilding support for P
ii  python2.5                     2.5.5-6    An interactive high-level object-o
ii  xulrunner-1.9.1       XUL + XPCOM application runner

python-xpcom recommends no packages.

python-xpcom suggests no packages.

-- no debconf information

More information about the pkg-mozilla-maintainers mailing list